Home > Google Earth > Google Earth Error While Loading Shared Libraries Libgl.so.1

Google Earth Error While Loading Shared Libraries Libgl.so.1

page i found: https://bugs.launchpad.net/linuxmint/+bug/891578 Command i ran: sudo apt-get install ia32-libs share|improve this answer answered Jul 7 '14 at 12:41 Tcuc 313 1 That's the solution for older Ubuntu Distros All the solutions above (creating symlinks, configuring LD_LIBRARY_PATH) didn't work for me. This may mean that the package is missing, has been obsoleted, or is only available from another source However the following packages replace it: lib32asound2 lib32z1 lib32ncurses5 lib32bz2-1.0 E: Package 'ia32-libs' more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science Source

Not the answer you're looking for? Join Date Jun 2007 Beans 15,553 Re: Why doesn't Google Earth install properly on Ubuntu 13.10 using the documented me Well if it wasn't installed it wouldn't crash so both threads Home Ubuntu PPAs Unity Xenial development Xfce GNOME Shell Themes CLI About Install Google Earth In Ubuntu 14.04 64bit [How To] Author: Andrew | Posted: April 25, 2014 | Updated: 2016-04-21T12:41:19Z Segmentation fault (core dumped) 5.

Warning: Disabling repository 'google-chrome' because of the above error. Ubuntu / Linux news and application reviews. a missing file and 2.

Thanks! I just put up a 2nd new install (14.04 as that's all I'm interested in, but shouldn't be much different than 13.10 so decided to try something different, used the i386 In general, if you have the 64 bit version, you can use rpm -qf to find the package containing the library: % rpm -qf /usr/lib64/libGLU.so.1 Mesa-7.11-11.4.2.x86_64 On OpenSUSE, the naming convention But despite becoming so familia...

Now that's a package name, you use the package manager to install a package named Mesa-32bit. –njsg Jul 9 '12 at 8:39 2 The zypper error messages point to a Errors were encountered while processing: google-earth-stableAnd if you try to install ia32-libs: $ sudo apt-get install ia32-libs Reading package lists... This may mean that the package is missing, has been obsoleted, or is only available from another source However, the following packages replace it: lib32z1 lib32ncurses5 lib32bz2-1.0 E: Package 'ia32-libs' has http://askubuntu.com/questions/386281/error-while-loading-shared-libraries-libglu-so-1 For Ubuntu 32bit, simply download Google Earth and install it using Ubuntu Software Center, GDebi, dpkg or whatever you prefer.

However, with dl.google.com, I have to go way up, and then I do not get a directory listing, but a redirect to a non-repo page. –Ansgar Esztermann Jul 9 '12 at I had to install the 32-bit versions. via lffl.org Tagged with: fix google earth linux tips n tricks Trusty Tahr ubuntu Facebook Twitter Google+ Reddit Latest Tips Popular Latest Multiload-ng 1.4.0, GNOME Twitch 0.3.0, Sublime Text 3 Build This is what it tells me when I try to run the program. ./magicq: error while loading shared libraries: libGLU.so.1: cannot open shared object >file: No such file or directory Here

Last edited by Swagman; October 26th, 2013 at 02:02 PM. Steam tries the 64-bit libraries and complains, without looking any further. Attachment 247253 $ vi ./google-earth-stable_current_amd64/DEBIAN/control Remove the "Depends" line below, and save that control file. Adv Reply December 29th, 2013 #6 Jim_Granite View Profile View Forum Posts Private Message A Carafe of Ubuntu Join Date Oct 2013 Beans 114 Re: Why doesn't Google Earth install

How can you tell if the engine is not brand new? http://fileupster.com/google-earth/google-earth-7-zip-error.html I'll have to hunt for 32 bit libGL now. :) –Aquarius TheGirl Jul 9 '12 at 4:52 1 /opt/google/earth/free/libGLU.so.1 looks promising. Thanks for the tip! De kio “saluton” estas la rekta objekto?

The ia32-libs package is no longer available in Ubuntu, starting with Ubuntu 13.10. This one grayed out, and then, within about 30 seconds, gave a different crash message: Code: $ google-earth [0103/115052:ERROR:net_util.cc(2195)] Not implemented reached in bool net::HaveOnlyLoopbackAddresses() [0103/115052:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler. Assuming your Earth installation is in ~/google-earth/: $ sudo apt-get install ia32-libs $ ln -s /usr/lib32/mesa/libGL.so.1 ~/google-earth/libGL.so.1 * * * Sometimes this cryptic error message would also show up: /usr/bin/google-earth: 43: have a peek here Googleearth does not run.

If this is your first visit, be sure to check out the FAQ. I fixed it by installing official Nvidia driver again and install 32 bit compatibility library during installation. asked 3 years ago viewed 48386 times active 1 month ago Linked 6 “error while loading shared libraries: libGL.so.1: wrong ELF class: ELFCLASS32” installing ATI drivers 4 Can't run Google Earth

But I'm on a 64-bit OS.

Can't provide /repodata/repomd.xml : User-requested skipping of a file Please check if the URIs defined for this repository are pointing to a valid repository. User contributions on this site are licensed under the Creative Commons Attribution Share Alike 4.0 International License. vBulletin 2000 - 2016, Jelsoft Enterprises Ltd. Here's an example.

I use the latter method, while keeping the script as a backup. Try These! Another crash happened while handling crash! 9. Check This Out Why does the state remain unchanged in the small-step operational semantics of a while loop?

FAQ Forum Quick Links Unanswered Posts New Posts View Forum Leaders FAQ Contact an Admin Forum Community Forum Council FC Agenda Forum Governance Forum Staff Ubuntu Forums Code of Conduct Forum apparmour stopped it. This is back to being unresolved: - Where are WORKING instructions for installing Google Earth on 64-bit Ubuntu 13.10? I wrote this post as a reminder for myself and others who run into similar problems. * * * Sometimes Google Earth wouldn't find a file called libGL.so.1: ./googleearth-bin: error while

Do you want to help us debug the posting issues ? < is the place to report it, thanks ! sudo dpkg -i '/home/doug/Desktop/google-earth-stable_current_i386.deb' Edit - for 13.10 you may want to check on any of the packages that have 6 or 1 other than libc6-i386 to see if that's the by windytan [oona räisänen] Pages home list of posts about & FAQ my nerd story infographics Google Earth on 64-bit Linux by Oona Räisänen (Oona Räisänen) Sunday, January 08, 2012 Google Processing triggers for mime-support ...

Code: #!/bin/sh export LD_LIBRARY_PATH=.:/opt/google/earth:/usr/lib64:/usr/lib export LD_DEBUG=libs exec ./googleearth-bin $* First even though 64 bit Earth appears on download and install to be a 64 bit app it evidently needs 32 bit It can be fixed however by in ~/Steam/steam.sh but that file seems to be restored to the original version every time steam is ran. Appease Your Google Overlords: Draw the "G" Logo With modern technology, is it possible to permanently stay in sunlight, without going into space? What helped is: sudo apt-get install libglu1-mesa:i386 Ubuntu 14.04 x64 share|improve this answer answered Sep 6 '14 at 18:03 Daniel Kmak 424411 add a comment| up vote 9 down vote I

Last edited by mc4man; January 4th, 2014 at 03:26 PM. If I need to run Earth from the Application launcher then I drop AppArmour. share|improve this answer edited Apr 24 '13 at 0:24 bntser 1,298825 answered Apr 23 '13 at 23:52 hansonap 594 Thank you, I've been looking for a solution for hours. I finally found help in the post already mentioned above - but with a different solution.

Another crash happened while handling crash! 12. Do you have a 32-bit libGL? (I don't know the name for openSUSE, which is the distro you seem to be using) –Renan Jul 9 '12 at 4:47 @Renan